%global debug_package   %{nil}
%global provider        google
%global provider_sub    code
%global provider_tld    com
%global project         p
%global repo            go-decimal-inf
%global import_path     speter.net/go/exp/math/dec/inf
%global rev             42ca6cd68aa922bc3f32f1e056e61b65945d9ad7
%global shortrev        %(r=%{rev}; echo ${r:0:12})

Name:           golang-%{provider}%{provider_sub}-%{repo}
Version:        0
Release:        0.1.hg%{shortrev}%{?dist}
Summary:        Package implementing "infinite-precision" decimal arithmetic
License:        BSD
URL:            https://%{import_path}
Source0:        https://exp.go-decimal-inf.%{provider}%{provider_sub}.%{provider_tld}/archive/%{rev}.tar.gz
%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
BuildArch:      noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm}
%endif

%description
Package inf (type inf.Dec) implements "infinite-precision" decimal arithmetic.
"Infinite precision" describes two characteristics: practically unlimited
precision for decimal number representation and no support for calculating
with any specific fixed precision.
Although there is no practical limit on precision,
inf.Dec can only represent finite decimals.

This package is currently in experimental stage and the API may change.

%package devel
BuildRequires:  golang >= 1.2.1-3
Requires:       golang >= 1.2.1-3
Summary:        %{summary}
Provides:       golang(speter.net/go/exp/math/dec/inf) = %{version}-%{release}

%description devel
Package inf (type inf.Dec) implements "infinite-precision" decimal arithmetic.
"Infinite precision" describes two characteristics: practically unlimited
precision for decimal number representation and no support for calculating
with any specific fixed precision.
Although there is no practical limit on precision,
inf.Dec can only represent finite decimals.

This package is currently in experimental stage and the API may change.

This package contains library source intended for 
building other packages which use speter.net/go/exp/math/dec/inf.

%prep
%setup -q -n exp.%{repo}-%{shortrev}

%build

%install
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/
cp -pav *.go %{buildroot}/%{gopath}/src/%{import_path}/

%check

%files devel
%doc LICENSE
%{gopath}/src/%{import_path}/

%changelog
* Mon Jan 12 2015 jchaloup <jchaloup@redhat.com> - 0-0.1.hg42ca6cd68aa9
- First package for Fedora
  resolves: #1181212

